library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternX

class description - source file - inheritance tree (.pdf)

## class TGeoPatternX : public TGeoPatternFinder

| Inheritance Chart:
`TObject`
| <- | `TGeoPatternFinder`
| <- | `TGeoPatternX` |

        public:

                            TGeoPatternX()
                            TGeoPatternX(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternX(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternX(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternX(const TGeoPatternX&)
                    virtual ~TGeoPatternX()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
              TGeoPatternX& operator=(const TGeoPatternX&)
               virtual void SavePrimitive(ofstream& out, Option_t* option)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternX()

     Default constructor

TGeoPatternX(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternX(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternX(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternX()

     Destructor

TGeoNode* FindNode(Double_t *point)

     get the node division containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                     void cd(Int_t idiv)
                  TClass* Class()
                  TClass* IsA() const
                     void ShowMembers(TMemberInspector& insp, char* parent)
                     void Streamer(TBuffer& b)
                     void StreamerNVirtual(TBuffer& b)
             TGeoPatternX TGeoPatternX(const TGeoPatternX&)
            TGeoPatternX& operator=(const TGeoPatternX&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $